### Method

# Ide Pipeline attach_pty

#### Declaration

    void
    ide_pipeline_attach_pty (
      IdePipeline* self,
      IdeSubprocessLauncher* launcher
    )

#### Description

Attaches a PTY to stdin/stdout/stderr of the `IdeSubprocessLauncher`. This is useful if the application can take advantage of a PTY for features like colors and other escape sequences.

Available since: | 3.32

#### Parameters

`launcher` | `IdeSubprocessLauncher`
| An `IdeSubprocessLauncher`.
| The data is owned by the caller of the function.